
QGIS Application - Bug report #17896

Info tool rubber band ignores symbol rotation

2018-01-19 04:01 PM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25791

Description

We have a project with rotated symbols (data-defined rotation). In QGIS 2.99, when I click on them using the info tool, the red rubber band

is shown wrongly, namely without rotation, so that it does not overlay the symbol itself.

This still worked correctly in QGIS 2.18.

(I'm not sure whether I chose the correct category, please change it if necessary!)

Associated revisions

Revision 535de3b1 - 2018-02-06 12:50 AM - Nyall Dawson

Set the correct expression context for QgsHighlight

Fixes #17896

History

#1 - 2018-02-06 12:50 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|535de3b1b229724a35fd63387f72f02f6550ccfd.

#2 - 2018-02-21 09:49 PM - Giovanni Manghi

- Resolution set to fixed/implemented
